Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

markets
string[]
required

Comma separated list of markets or market patterns like exchange-* or exchange-*-spot or *USDT-future.
Use a corresponding /catalog-all-v2/market-{dataType} endpoint for the full list of supported markets for a given data type.

start_time
string

Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.

end_time
string

End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.

start_inclusive
boolean
default:true

Inclusive or exclusive corresponding start_* parameters.

end_inclusive
boolean
default:true

Inclusive or exclusive corresponding end_* parameters.

timezone
string
default:UTC

Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.

Example:

"America/New_York"

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:end

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
limit_per_market
integer<int32>

How many entries per market result should contain. It is useful when multiple markets are requested.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

format
enum<string>
default:json

Format of the response. Supported values are json, json_stream, csv.

Available options:
json,
json_stream,
csv
next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

Response

Time series of market liquidations.

data
object[]
required

Time series of market liquidations.

next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.